Integrations
Read an integration sync run
Returns one organization-owned run with ordered operational events, preserving provider-dependent context while removing related_outbox_event_snapshots. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
GET
/
integrations
/
hub
/
sync-runs
/
{run_id}
Read an integration sync run
curl --request GET \
--url https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"provider_key": "Example",
"run_type": "Example",
"trigger_source": "Example",
"direction": "Example",
"status": "Example",
"object_types_json": {},
"counters_json": {},
"summary_json": {},
"context_json": {},
"error_summary_json": {},
"started_at": "2026-10-20T12:00:00Z",
"finished_at": "2026-10-20T12:00:00Z",
"events": [
{
"id": 2,
"sync_run_id": 42,
"object_mapping_id": 42,
"provider_key": "Example",
"event_type": "Example",
"direction": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"dedupe_key": "Example",
"idempotency_key": "Example",
"retryable": true,
"attempts": 2,
"error_code": "Example",
"error_message": "Example",
"payload_json": {},
"payload_hash": "Example",
"occurred_at": "2026-10-20T12:00:00Z",
"processed_at": "2026-10-20T12:00:00Z"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Run id in the current organization.
⌘I
Read an integration sync run
curl --request GET \
--url https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/sync-runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"provider_key": "Example",
"run_type": "Example",
"trigger_source": "Example",
"direction": "Example",
"status": "Example",
"object_types_json": {},
"counters_json": {},
"summary_json": {},
"context_json": {},
"error_summary_json": {},
"started_at": "2026-10-20T12:00:00Z",
"finished_at": "2026-10-20T12:00:00Z",
"events": [
{
"id": 2,
"sync_run_id": 42,
"object_mapping_id": 42,
"provider_key": "Example",
"event_type": "Example",
"direction": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"dedupe_key": "Example",
"idempotency_key": "Example",
"retryable": true,
"attempts": 2,
"error_code": "Example",
"error_message": "Example",
"payload_json": {},
"payload_hash": "Example",
"occurred_at": "2026-10-20T12:00:00Z",
"processed_at": "2026-10-20T12:00:00Z"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}